Bug 481566 - [PATCH] /sbin/fence_lpar - properly report status on systems in Open Firmware
[PATCH] /sbin/fence_lpar - properly report status on systems in Open Firmware
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Marek Grac
Cluster QE
: HardwareEnablement, TechPreview
Depends On: 472781
Blocks: 485094
  Show dependency treegraph
 
Reported: 2009-01-26 07:55 EST by Marek Grac
Modified: 2016-04-26 12:48 EDT (History)
10 users (show)

See Also:
Fixed In Version: cman-2.0.100-1.el5
Doc Type: Technology Preview
Doc Text:
Cause: LPAR is in Open Firmware mode Consequences: Fencing fails Fix: Open Firmware is now recognized as running computer Result: Fencing works as expected Note: LPAR support for cluster-suite in RHEL5.4 is considered TechPreview
Story Points: ---
Clone Of: 472781
: 485094 (view as bug list)
Environment:
Last Closed: 2009-09-02 07:08:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marek Grac 2009-01-26 07:55:55 EST
+++ This bug was initially created as a clone of Bug #472781 +++

Description of problem:

/sbin/fence_lpar doesn't properly report power status when an lpar is in Open Firmware.

Version-Release number of selected component (if applicable):
cman-2.99.12-1.fc10.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Boot a system into open firmware
2. Run fence_lpar poweroff or reboot ... it thinks it's already powered off.

The following change to /sbin/fence_lpar fixes the problem...

    ## Transformation to standard ON/OFF status if possible
    if status in ["Running", "Open Firmware"]:
        status = "on"
    else:
        status = "off"

--- Additional comment from fedora-triage-list@redhat.com on 2008-11-26 00:52:12 EDT ---


This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from jlaska@redhat.com on 2008-12-11 11:04:01 EDT ---

Update, in order for reboot operations to work properly ...


--- /sbin/fence_lpar	2008-12-11 11:02:01.000000000 -0500
+++ /tmp/fence_lpar.new	2008-12-11 11:01:59.000000000 -0500
@@ -33,7 +33,7 @@
 
 	##
 	## Transformation to standard ON/OFF status if possible
-	if status == "Running":
+	if status in ["Running", "Open Firmware", "Shutting Down"]:
 		status = "on"
 	else:
 		status = "off"

Without this fix.  I can 

1) Power off
2) It sees the state "Shutting Down" and thinks that means it's off.
3) I then run power on ... and it fails since the machine is still in "Shutting Down" state.
Comment 1 Fabio Massimo Di Nitto 2009-01-28 01:49:06 EST
FYI this issue is now fixed in rawhide. Updates to F10 and F9 will come soon.

Fabio
Comment 5 Marek Grac 2009-05-25 08:33:07 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Cause: LPAR is in Open Firmware mode
Consequences: Fencing fails
Fix: Open Firmware is now recognized as running computer
Result: Fencing works as expected
Comment 6 Perry Myers 2009-05-25 09:41:30 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,4 +1,6 @@
 Cause: LPAR is in Open Firmware mode
 Consequences: Fencing fails
 Fix: Open Firmware is now recognized as running computer
-Result: Fencing works as expected+Result: Fencing works as expected
+
+Note: LPAR support for cluster-suite in RHEL5.4 is considered TechPreview
Comment 9 errata-xmlrpc 2009-09-02 07:08:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1341.html

Note You need to log in before you can comment on or make changes to this bug.